Bug 1274031 - Build issues when ccache is installed in the buildroot
Build issues when ccache is installed in the buildroot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: swig (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 14:27 EDT by David Sommerseth
Modified: 2016-05-22 19:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: swig-3.0.7-8.fc24 swig-3.0.7-7.fc23 swig-3.0.7-4.fc21 swig-3.0.7-4.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-02 13:52:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix build issues when ccache is installed on the build system (2.83 KB, text/plain)
2015-10-21 14:27 EDT, David Sommerseth
no flags Details

  None (edit)
Description David Sommerseth 2015-10-21 14:27:11 EDT
Created attachment 1085266 [details]
Fix build issues when ccache is installed on the build system

When building swig on a system with ccache installed, 'make check' will fail as the installed ccache interferes with the unit tester and corrupts the results.

The attached patch removes ccache binaries from $PATH in the test script, thus avoiding any $CC calls to use any ccache enabled compilers during testing.
Comment 1 Jitka Plesnikova 2015-10-22 07:22:06 EDT
The test failed with following error when ccache is installed.

test -z "1" || (cd CCache && make check)
make[1]: Entering directory '/builddir/build/BUILD/swig-3.0.7/CCache'
SWIG_LIB='.././../Lib' PATH=../..:$PATH SWIG='swig' CC='gcc' NOSOFTLINKSTEST='' ./test.sh
starting testsuite base
SUITE: base TEST: BASIC - Expected cache miss to be 1 got 2
cache directory                     ccache dir
cache hit                              0
cache miss                             2
files in cache                         4
cache size                            12 Kbytes
max cache size                     854.5 Mbytes
TEST FAILED
Makefile:63: recipe for target 'test' failed
make[1]: Leaving directory '/builddir/build/BUILD/swig-3.0.7/CCache'
make[1]: *** [test] Error 1
Makefile:138: recipe for target 'check-ccache' failed
make: *** [check-ccache] Error 2

Just for information
Comment 2 Fedora Update System 2015-10-23 01:56:46 EDT
swig-3.0.7-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e1921b46a6
Comment 3 Fedora Update System 2015-10-23 01:57:26 EDT
swig-3.0.7-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7d9d66c009
Comment 4 Fedora Update System 2015-10-23 01:57:50 EDT
swig-3.0.7-4.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-59a0390a7f
Comment 5 Fedora Update System 2015-10-24 08:06:27 EDT
swig-3.0.7-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update swig'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e1921b46a6
Comment 6 Fedora Update System 2015-10-26 06:26:19 EDT
swig-3.0.7-4.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update swig'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-59a0390a7f
Comment 7 Fedora Update System 2015-10-26 14:28:11 EDT
swig-3.0.7-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update swig'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7d9d66c009
Comment 8 Fedora Update System 2015-11-02 13:52:41 EST
swig-3.0.7-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-11-02 16:49:30 EST
swig-3.0.7-4.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-11-04 17:22:27 EST
swig-3.0.7-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.